Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.orchestra.conversation.basic
Class LogConversationMessager

    java.lang.Object
      org.apache.myfaces.orchestra.conversation.ConversationMessager
          org.apache.myfaces.orchestra.conversation.basic.LogConversationMessager

    public class LogConversationMessager

extends ConversationMessager

Handle user-specific notifications about conversation anomalies, when we are running in a plain servlet environment (no JSF etc).

Unfortunately there is no standard way of displaying a message to a user in such an environment (except possibly throwing an exception, forcing the standard error page to be shown). This implementation therefore just logs the message to the standard server application log.

If you do not like the default behaviour then implement your own version of this class and configure your alternative as the standard "Conversation Messager" instead. See the documentation on interface ConversationMessager for details.

As required by the ConversationMessager interface, all methods on this class are thread-safe.

Constructor Summary
`LogConversationMessager()`

Method Summary
`void` | `setConversationException(java.lang.Throwable t)` An exception happened, for example during invalidate action.
`void` | `setConversationNotActive(java.lang.String name)` Display message about a not active conversation (close before the redirect).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogConversationMessager

    public LogConversationMessager()

Method Detail

### setConversationException

    public void setConversationException(java.lang.Throwable t)

  Description copied from class: `ConversationMessager`
  An exception happened, for example during invalidate action.

  Overrides:
    `setConversationException` in class `ConversationMessager`

### setConversationNotActive

    public void setConversationNotActive(java.lang.String name)

  Description copied from class: `ConversationMessager`
  Display message about a not active conversation (close before the redirect).

  Overrides:
    `setConversationNotActive` in class `ConversationMessager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation. All Rights Reserved.